package com.jasamedika.medifirst2000.vo;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.ManyToOne;
import javax.validation.constraints.NotNull;
import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.entities.HubunganKeluarga;
import com.jasamedika.medifirst2000.helper.Caption;

public class PasienPulangVO extends BaseTransactionVO{
	
	@ManyToOne
	@Caption(value="Status Keluar")
	@NotNull(message="Status Keluar harus diisi")
	private StatusKeluarVO statusKeluar;
	
	private PasienDaftarVO pasienDaftar;
	
	@ManyToOne
	@Caption(value="Status Pulang")
	@NotNull(message="Status Pulang harus diisi")
	private StatusPulangVO statusPulang;
	
	@ManyToOne
	@Caption(value="Kondisi Pasien")
	private KondisiPasienVO kondisiPasien;
	
	@ManyToOne
	@Caption(value="Hubungan Keluarga Ambil Pasien")
	@NotNull(message="Hubungan Keluarga Harus Diisi")
	private HubunganKeluargaVO hubunganKeluarga;
	
	@Column(name = "NamaLengkapAmbilPasien", nullable = true , length = 40)
	@Caption(value="Nama Lengkap Ambil Pasien")
	private String namaLengkapAmbilPasien;
	
	@Column(name = "tglKeluar", nullable = false )
	@NotNull(message="Tanggal Pulang Pasien Harus Diisi")
	@Caption(value="Tanggal Pulang Pasien")
	private Date tglPulang;
	
	@Column(name = "tglRegistrasi", nullable = false )
	@NotNull(message="Tanggal Registrasi Harus Diisi")
	@Caption(value="Tanggal Registrasi")
	private Date tglRegistrasi;
	
	@ManyToOne
	@Caption(value="Nama Pasien")
	private PasienVO pasien;

	public StatusKeluarVO getStatusKeluar() {
		return statusKeluar;
	}

	public void setStatusKeluar(StatusKeluarVO statusKeluar) {
		this.statusKeluar = statusKeluar;
	}

	public StatusPulangVO getStatusPulang() {
		return statusPulang;
	}

	public void setStatusPulang(StatusPulangVO statusPulang) {
		this.statusPulang = statusPulang;
	}

	public KondisiPasienVO getKondisiPasien() {
		return kondisiPasien;
	}

	public void setKondisiPasien(KondisiPasienVO kondisiPasien) {
		this.kondisiPasien = kondisiPasien;
	}


	public HubunganKeluargaVO getHubunganKeluarga() {
		return hubunganKeluarga;
	}

	public void setHubunganKeluarga(HubunganKeluargaVO hubunganKeluarga) {
		this.hubunganKeluarga = hubunganKeluarga;
	}

	public String getNamaLengkapAmbilPasien() {
		return namaLengkapAmbilPasien;
	}

	public void setNamaLengkapAmbilPasien(String namaLengkapAmbilPasien) {
		this.namaLengkapAmbilPasien = namaLengkapAmbilPasien;
	}

	public Date getTglPulang() {
		return tglPulang;
	}

	public void setTglPulang(Date tglPulang) {
		this.tglPulang = tglPulang;
	}

	public PasienVO getPasien() {
		return pasien;
	}

	public void setPasien(PasienVO pasien) {
		this.pasien = pasien;
	}

	public Date getTglRegistrasi() {
		return tglRegistrasi;
	}

	public void setTglRegistrasi(Date tglRegistrasi) {
		this.tglRegistrasi = tglRegistrasi;
	}

	public PasienDaftarVO getPasienDaftar() {
		return pasienDaftar;
	}

	public void setPasienDaftar(PasienDaftarVO pasienDaftar) {
		this.pasienDaftar = pasienDaftar;
	}
}
